Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.rules.model
Class RuleAtomImpl<P>

    java.lang.Object
      org.mindswap.pellet.rules.model.RuleAtomImpl<P>

All Implemented Interfaces:
  RuleAtom

Direct Known Subclasses:
  BinaryAtom, BuiltInAtom, UnaryAtom

    public abstract class RuleAtomImpl<P>

extends java.lang.Object
implements RuleAtom

Title: Rule Atom Implementation

Description:

Copyright: Copyright (c) 2007

Company: Clark & Parsia, LLC.

Author:
  Ron Alford

Constructor Summary
`RuleAtomImpl(P predicate)`

Method Summary
`abstract void` | `accept(RuleAtomVisitor visitor)`
`boolean` | `equals(java.lang.Object other)`
`abstract java.util.Collection<? extends AtomObject>` | `getAllArguments()` Return all arguments (constants and variables) to the rule atom.
`P` | `getPredicate()` Return the predicate for the rule atom.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuleAtomImpl

    public RuleAtomImpl(P predicate)

Method Detail

### accept

    public abstract void accept(RuleAtomVisitor visitor)

  Specified by:
    `accept` in interface `RuleAtom`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### getAllArguments

    public abstract java.util.Collection<? extends AtomObject> getAllArguments()

  Description copied from interface: `RuleAtom`
  Return all arguments (constants and variables) to the rule atom.

  Specified by:
    `getAllArguments` in interface `RuleAtom`

### getPredicate

    public P getPredicate()

  Description copied from interface: `RuleAtom`
  Return the predicate for the rule atom. The type of this predicate will depend on the implementation of this interface. Use the RuleAtomVisitor for type safety.

  Specified by:
    `getPredicate` in interface `RuleAtom`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.